Jump to content
IGNORED

Atari Dev Studio for Homebrew Development [Release]


mksmith

Which language do you develop with using Atari Dev Studio?  

88 members have voted

  1. 1. Which language do you develop with using Atari Dev Studio?

    • batari Basic
      45
    • 7800basic
      30
    • dasm (assembly)
      29

  • Please sign in to vote in this poll.

Recommended Posts

5 hours ago, mksmith said:

Hi @Gemintronic!

 

Thanks for checking out ADS! There are some great tools by Alienbill here: https://alienbill.com/2600/ which I should include some links to directly.  Also the included sprite editor could be updated to do the multi-line color for the 2600 images which I had planned to do but hadn't got round to as yet (along with a full redesign of that editor). 

 

I probably sound like a broken record at this point pining for the last remaining features in VisualbB to be integrated.   Almost everyone I know has switched over.  You've also explained ADS is getting pretty big for an extension making additions tougher.  Maybe just a customizable launch button for external music, sprite and playfield editors would seal the deal.

 

Not that it's entirely applicable but here's how SecondBASICs (compiled BASIC for Genesis) IDE presents it to the end user.  It also auto-magically understands if a supplied link is an executable or URL.

451976261_Screenshotfrom2022-08-0107-48-09.thumb.png.a517b0f12a9f5bf7084c184a43a3c5c5.png

Link to comment
Share on other sites

Hi guys, for some reason when i try to compile and run my projects they start in the emulator as no cart inserted "coloured bars". Is there something new im missing? I tried Matt's awesome scrolling demo from source and that works fine but everything else i have just wont boot into the "game".

 

EDIT: So strange as i have deleted and copied over my projects from an backup drive. Still wont work yet every sample program works fine. Nothing has changed with my projects as i haven't altered them since the last time they worked. Im wondering if there was a change that could have broken something?

 

Well reverting back to the previous version fixed the issue. For some reason it's my projects the latest version doesn't like. Not sure if 7800Basic, A7800 or ADS related however something broke since the latest update

Edited by TwentySixHundred
Link to comment
Share on other sites

Ok so i have worked out what the issue is with the latest version of ADS. If im using RAM-on-cart ROM sizes it wont boot into the projects after compiling and running. Changing set romsize to one of those without RAM-on-cart then everything works as expected. Im assuming there was a change within the last 7800Basic update related to romset RAM?

@RevEng

@mksmith

Link to comment
Share on other sites

12 minutes ago, TwentySixHundred said:

Ok so i have worked out what the issue is with the latest version of ADS. If im using RAM-on-cart ROM sizes it wont boot into the projects after compiling and running. Changing set romsize to one of those without RAM-on-cart then everything works as expected. Im assuming there was a change within the last 7800Basic update related to romset RAM?

There weren't any changes to cart-ram specifically. I can't seem to recreate the issue - it sounds like a 7800basic issue, so maybe hit me up in that thread or PM, and share the source.

  • Like 1
Link to comment
Share on other sites

21 hours ago, TwentySixHundred said:

Ok so i have worked out what the issue is with the latest version of ADS. If im using RAM-on-cart ROM sizes it wont boot into the projects after compiling and running. Changing set romsize to one of those without RAM-on-cart then everything works as expected. Im assuming there was a change within the last 7800Basic update related to romset RAM?

I worked with TwentySixHundred on the side, and this appears to be an issue with a7800 and the 256k+ram mapper. Anybody impacted can revert to the older a7800 release in the meantime, or wait for a fixed release.

  • Like 1
Link to comment
Share on other sites

  • 3 months later...

The problem is related to loading content (css, js) under the Content Security Policy configuration. There has clearly been a change in the Chrome web control used by the WebView tabs.  Hopefully won't be too difficult to sort out.

  • Like 2
  • Thanks 1
Link to comment
Share on other sites

A new release (v0.8.1) is now available with the following changes:

  • Updated WebView pages (Welcome and Sprite Editor) to work under updated Content Security Policy conditions
  • Updated internal dev packages (requires VS Code 1.73 or better)

That was an interesting one to work 😬

 

Update: stupid process is stuck validating again (usually caused when confusing my various Microsoft accounts).  Sorry please download manually and install for those on 1.73 or better

  • Like 4
  • Thanks 3
Link to comment
Share on other sites

  • 2 weeks later...

Hi all,

 

I've tried republishing ADS a number of times over the past week but the marketplace keeps rejecting the package due to virus concerns. After doing a search for this issue the following site was suggested (https://www.virustotal.com/gui/home/upload) to validate the package and as expected some of the 7880basic compiler files have been flagged. 

 

I've contacted the marketplace to see if this can be resolved.

  • Like 3
Link to comment
Share on other sites

  • 1 month later...

Happy new year all!

 

new release (v0.8.2) is now available with the following changes:

  • Updated 7800basic to v0.22 (Windows, Linux, macOS)
  • Updated 7800basic keyword, hover and context help lists
  • Updated 7800basic compiler to validate for language changes (file permissions and compilation cleanup)

Apologies for the delay in getting to this one. I also needed to break out Ubuntu to ensure the file permissions were correct for some of the new compilation files.

 

Also the weather has been great here in Melbourne so spending way too much time in our new pool!

IMG20221224170456.jpg

  • Like 4
  • Thanks 2
Link to comment
Share on other sites

4 hours ago, mksmith said:

Apologies for the delay in getting to this one. I also needed to break out Ubuntu to ensure the file permissions were correct for some of the new compilation files.

No apologies needed; your update has been super quick like always.

 

I can confirm that it passes the tire-kick test on Ubuntu here at least. :-) 

  • Like 1
Link to comment
Share on other sites

new release (v0.8.3) is now available with the following changes:

  • Fixed 7800basic compilation process to verify release version to determine list of compiler files to validate

 

Was playing around with previous versions and realized that with some changes around banksets some new compilation files are required to be verified.  I'm now attempting to read the 'release.dat' file to get the version so the appropriate validation list can be provided.

  • Like 5
Link to comment
Share on other sites

  • 1 month later...

I tried AtariDevStudio on VSCodium for x64 Windows and it opened, compiled and ran a bB game.  ADS doesn't appear in whatever marketplace it uses so I had to install the extension from file.  I suspect some integration might not be, er, integrated but I'm not familiar enough with ADS or Visual Studio Code to know.  Did the CTRL+SHIFT+P thing to open up the command palette and go from there.

 

 

  • Like 1
Link to comment
Share on other sites

58 minutes ago, Gemintronic said:

I tried AtariDevStudio on VSCodium for x64 Windows and it opened, compiled and ran a bB game.  ADS doesn't appear in whatever marketplace it uses so I had to install the extension from file.  I suspect some integration might not be, er, integrated but I'm not familiar enough with ADS or Visual Studio Code to know.  Did the CTRL+SHIFT+P thing to open up the command palette and go from there.

 

 

Had not heard of vscodium before, but I hate any and all tracking and so thought I'd give it a go on my MacOS machine (M2).

Working just fine and after manual install of the ADS extension, everything appears to be working as expected. TY.

 

I read that the licensing of the vscode code says that if you use the open source code you cannot use the Microsoft extensions/store, so ADS will never appear in the install options under vscodium. If I understood that correctly. So a manual install is the price you pay. It's not hard.

  • Like 3
Link to comment
Share on other sites

 

7 hours ago, Andrew Davie said:

I read that the licensing of the vscode code says that if you use the open source code you cannot use the Microsoft extensions/store, so ADS will never appear in the install options under vscodium. If I understood that correctly. So a manual install is the price you pay. It's not hard.

@mksmith might release the extension on open-vsx.org:


https://github.com/VSCodium/vscodium/blob/master/DOCS.md#extensions--marketplace

 

 

  • Like 3
Link to comment
Share on other sites

18 minutes ago, Random Terrain said:

Can somebody help this person?

 

 

He's trying to run batari BASIC and AtariDevStudio on a Raspberry Pi 4 with an ARM CPU.  It's going to be an uphill battle since he probabkly has to re-compile things for the ARM and whatever flavor of Linux his Rpi4 has.

 

My working solution was to suggest using x86 version of Visual Studio and AtariDevStudio via Box86.  He didn't / couldn't install it so I suggested using TwisterOS that already has Box86 and WINE pre-installed.

 

If anyone is up for the challenge of getting these things running from scratch on an ARM platform like the Raspberry Pi 4 that'd be impressive.

  • Like 2
Link to comment
Share on other sites

13 hours ago, Gemintronic said:

If anyone is up for the challenge of getting these things running from scratch on an ARM platform like the Raspberry Pi 4 that'd be impressive.

I'm wondering if this might be simpler than it seems.  That is, running VSCode and Atari Developer Studio?  Essentially use VSCodium (already done: https://learncgames.com/how-to-install-vscodium-on-a-raspberry-pi/ ) and then you just have the ADS issue. I assume it's a build required?  

 

  • Like 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...